<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">

<xsl:strip-space elements="doc chapter section"/>
<xsl:output method="text" indent="yes" encoding="iso-8859-1"/>

<xsl:template match="doc">
<xsl:apply-templates/>

------------------------------------------------------------------
<xsl:apply-templates select="//footnote" mode="footnotes"/>
</xsl:template>

<xsl:template match="article">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="book">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="report">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="titlepage">
*********************************************************************************

   <xsl:apply-templates/>

*********************************************************************************

</xsl:template>

<xsl:template match="title">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="date">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="author">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="docinfo">
   Document Information
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="infoitem">
   <xsl:value-of select="@label"/>: <xsl:apply-templates/>
</xsl:template>

<xsl:template match="abstract">

Abstract:

<xsl:apply-templates/>
</xsl:template>


<xsl:template match="chapter/heading">
   Chapter <xsl:number count="chapter"/>: <xsl:apply-templates/>
   ===========================================================
   
</xsl:template>

<xsl:template match="section/heading">
   <xsl:text>
   </xsl:text>
   <xsl:number count="chapter|section" level="multiple" format="1.1 "/>. <xsl:apply-templates/>
   <xsl:text>
   </xsl:text>

</xsl:template>

<xsl:template match="subsection/heading">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="subsubsection/heading">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="paragraph/heading">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="subparagraph/heading">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="para|quote">
   
     <xsl:apply-templates/>
</xsl:template>

<xsl:template match="verbatim">
     <xsl:apply-templates/>
</xsl:template>

<xsl:template match="itemize">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="enumerate">
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="item">
 - <xsl:apply-templates/>
</xsl:template>

<xsl:template match="footnote">(<xsl:number/>)</xsl:template>

<xsl:template match="footnote" mode="footnotes">
 (<xsl:number/>) <xsl:apply-templates/>

</xsl:template>

<xsl:template match="sub|sup"><xsl:apply-templates/></xsl:template>
<xsl:template match="emph"><xsl:apply-templates/></xsl:template>

<xsl:template match="strong"><xsl:apply-templates/></xsl:template>

<xsl:template match="code"><xsl:apply-templates/></xsl:template>

<xsl:template match="remark"><xsl:apply-templates/></xsl:template>

<xsl:template match="newline">
</xsl:template>

<xsl:template match="newpage">
--------------NEW PAGE------------------
</xsl:template>

<xsl:template match="table">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="row">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="col">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="picture">
</xsl:template>

<xsl:template match="reference">
<xsl:apply-templates/>[<xsl:value-of select="@href"/>]
</xsl:template>

<xsl:template match="include">
<xsl:apply-templates select="document(@href)"/>
</xsl:template>

</xsl:stylesheet>

